body.translationMode {
	margin-top:50px;
}

div#translation-ui{    position: fixed;
    top: 0;
    text-align: center;
    border: 2px solid #f3c48e;
    border-top: 0;
    min-height: 40px;
    line-height: 40px;
    background: #fed9af;
    border-left: 0px;
    border-radius: 0px;
    left: 0px;
    right: 0px;}#translation-ui .error{color:red}

div#translation-ui .translation-editor {
    border-top: 1px solid #e6e6e6;
    background: #fafafa;
    text-align: left;
    padding: 10px;
    width: 100%;
    max-width: 500px;
    position: fixed;
    left: -9999px;
    top: -9999px;
    border: 1px solid black;
    z-index: 100;
    line-height: initial;
}

div#translation-ui .translation-head {
    display: flex;
    justify-content: space-between;
    padding: 0px 15px;
    text-transform: capitalize;
    font-size: 11px;
}


div#translation-ui span.lang-name {
    font-weight: bold;
    font-size: 1.4em;
}



div#translation-ui .translation-head .actions {
    font-size: 1.4em;
}

div#translation-ui #translation-editor label {
    text-transform: capitalize;
    font-size: 11px;
}

div#translation-ui.editor-enabled .translation-editor {
    display: block;
}

div#translation-ui .translation-editor p.translation-key {
    margin: 0px;
    font-weight: bold;
}

div#translation-ui .translation-editor p.translation-key span#translation-key {
    padding-left: 5px;
    font-weight: normal;
}

div#translation-ui .translation-editor .translation-inputs label {
    font-weight: bold;
}

div#translation-ui .translation-editor .translation-inputs {
    display: flex;
    justify-content: space-evenly;
    gap: 5px;
}

div#translation-ui .translation-editor .input.to {
    margin-top: 10px;
}

div#translation-ui .translation-editor .translation-inputs .input {
    width: 100%;
}

div#translation-ui .translation-editor  textarea {
    width: 100%;
    resize: none;
    padding: 5px;
    margin-top:5px;
}

div#translation-ui .translation-editor .input.from textarea {
    background: #f3f3f3;
    color: black;
    cursor: default;
}


div#translation-ui .translation-editor #page-translation-base {
	font-weight: bold;
    font-size: 14px;
    margin-top: 5px;
}


div#translation-ui .translation-editor .close-button {
    position: absolute;
    right: 2px;
    top: 2px;
    z-index: 99;
    width: 20px;
    height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: black;
    color: white;
    cursor: pointer;
}
#translation-ui .translation-editor .error {
    background: #ffcdcd;
    color: red;
    text-transform: capitalize;
    padding: 0px 5px;
    margin: 5px 0px;
}

#translation-ui .translation-editor .actions {
    display: flex;
    gap: 5px;
    margin-top: 5px;
    padding-top: 5px;
    border-top: 1px solid #d4d1d1;
}
#translation-ui .translation-editor .actions button {
    text-transform: capitalize;
}


.translation-element {
	color: white;
    font-weight: bold;
    cursor: pointer;
    background: #bc4549;
    padding: 0px 5px;
}
.translation-element.translated {
    color: #000000;
    background: #5cad8f;

}

.translation-element .language-from {
	display:none;
}



.file-upload {
    width: 480px;
    text-align: center;
}

.file-upload .file-drop-zone {
    border: 1px dashed #bbbbbb;
    padding: 10px 25px;
    text-align: center;
    cursor: pointer;
}
.file-upload .file-drop-zone .message {
    line-height: 2em;
        line-height: 1.5em;
}
.file-upload .file-drop-zone .message .l1{
    text-transform: capitalize;
    text-align: center;
}
.file-upload .file-drop-zone .message .l2{
    text-align: center;
    text-transform: lowercase;
}
.file-upload .file-drop-zone .message  .browse-button{
 background: #3163bb;
    padding: 5px;
    color: white;
        margin-top: 5px;
}

.file-upload .file-count {
    margin-top: 10px;
    text-align: left;
    font-weight: bold;
}

.file-upload .file-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    margin: 0px auto;
    width: 100%;
    margin-top: 10px;
    box-sizing: border-box;
}

.file-upload .drag-image {
    width: 50px;
    height: 50px;
    overflow: hidden;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    border: 1px solid #e2e2e2;
	position: fixed;

}

.file-upload .file-list .file-thumb {
    width: 150px;
    height: 150px;
    overflow: hidden;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    border: 1px solid #e2e2e2;
    position:relative;
}

.file-upload .file-drop-zone input {
    position: fixed;
    left: -99999;
    top: -99999;
}

.file-upload .file-list  .file-thumb:hover:after {
    content: "";
    position: absolute;
    left: 0px;
    right: 0px;
    top: 0px;
    bottom: 0px;
    background: #79797970;
}

.file-upload .file-list .file-thumb .action {
    cursor: pointer;
    position: absolute;
    bottom: 5px;
    background: white;
    z-index: 1;
    padding: 2px 5px;
    text-transform: capitalize;
    left: 45px;
}

.file-upload .file-list .file-thumb img {
    width: 150px;
    height: 150px;
    opacity: 0;
}


.file-upload .file-rules {
    font-size: 12px;
    margin-top: 5px;
}
.file-upload .file-rules p {
    display: inline-block;
    padding-left: 10px;
}
.file-upload  .file-uploaderrors {
    background: #fff4f4;
    border: 1px solid #ffc5c5;
}
.file-upload  .file-upload-error {
    color: red;
    text-align: left;
    padding: 5px;
}


.file-manager-dialog .dialog-body {
    width: 90vw;
}

.file-libary {
    display: flex;
    height: calc(90vh - 51px);
    border: 1px solid;
    margin: -10px;
    overflow: hidden;
}
.file-libary .directory-list-container {
    flex: 0 1 300px;
    overflow: hidden;
    border-right: 5px solid #bdbdbd;
    border-right-style: ridge;
}

.file-libary .directory-view-container {
    padding: 0px 5px;
    overflow: auto;
    flex: 1 1 auto;
}



.file-libary .directory-view-container .filelib-action-button {
	display:inline-block;
	text-decoration: underline;
	cursor:pointer;
	margin:5px;
	padding:5px;
}

.file-libary .file-list-container .file-result-list {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 10px;
    margin: 0px auto;
    width: 100%;
    margin-top: 10px;
    box-sizing: border-box;
}

.file-libary .file-list-container .file-result-list .file-item {
    border: 1px solid #dbd6d6;
    border-radius: 5px;
    background: #f4f4f4;
    overflow: hidden;
    cursor:pointer;
}

.file-libary .file-list-container .file-result-list .file-item .file-preview {
    background-position: center;
    background-size: contain;
    width: 100%;
    height: 250px;
    overflow: hidden;
    background-repeat: no-repeat;
    margin: 5px;
}
.file-libary .file-list-container .file-result-list .file-item .file-preview img {
    width: 100%;
    opacity: 0;
}

.file-libary .file-list-container .file-result-list .details {
    padding: 10px;
    border-top: 1px solid #dbd4d4;
    text-align: center;
    background: white;
}



.file-libary .file-list-container .file-result-list .file-item.selected {
	border: 2px solid #bbd1ff;
    margin: -1px;
    background: #f2f5ff;
}

.file-libary .file-list-container .file-result-list .file-item.selected .details {
    background: #f2f6ff;
}


		.dialog-wrapper {
			position: fixed;
		    left: 0px;
		    right: 0px;
		    top: 0px;
		    bottom: 0px;
		    background: #dddddd8c;
		    padding: 0px;
		    margin: 0px;
		    justify-content: center;
		    align-items: center;
		    display:none;
		    cursor:pointer;
		        z-index: 99;
		}
		
		.dialog-wrapper .dialog-body {
		    background: white;
		    border: 1px solid #e7e7e7;
		    border-radius: 5px 5px 0px 0px;
		    min-width: 500px;
		    cursor: initial;
		    
			overflow: auto;
		    max-height: 90vh;
		    overflow-x: hidden;
		    
		}
		
		
		.dialog-wrapper .dialog-body .dialog-header {
			padding: 10px;
		    border-bottom: 1px solid #ededed;
		    display: flex;
		    justify-content: space-between;
		    align-items: center;
		    background: #515151;
		    color: white;
		}
		
		.dialog-wrapper .dialog-body .dialog-header #dialog-header-close {
		    cursor:pointer;
		}
		
		.dialog-wrapper .dialog-body .dialog-header h1 {
			padding: 0px;
    		margin: 0px;
    		font-size: 1.5em;
    		margin-right: 15px;
		}
		
		
		.dialog-wrapper .dialog-body .dialog-content {
    		min-height: 200px;
    		padding: 10px;
    		    position: relative;
		}
		
		
		body.dialog-open {
			overflow:hidden;
		}
		
		body.dialog-open .dialog-wrapper {
		    display: flex;
		}
		
		
		
.loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
  border-top: 16px solid blue;
  border-right: 16px solid green;
  border-bottom: 16px solid red;
  border-left: 16px solid pink;
}
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}





div.filter-statement {
    padding: 5px;
    background: #eff3ff;
    border: 1px solid #adadad;
    position: relative;
}

div.filter-predicate {
    position: relative;
    padding-left: 30px;
    display:flex;
}
.filter-predicate input, .filter-predicate select, .filter-predicate button{
	margin-left:5px;
}

.filter-predicate.and {
    padding-top: 5px;
    border-top: 1px solid #e5e5e5;
    margin-top: 5px;
}

.filter-predicadte.and:before {
    content: "AND";
    color: blue;
    font-weight: bold;
    position: absolute;
    left: 0px;
    top: 0px;
    bottom: 0px;
    line-height: 34px;
}



table.filter-statement {

    background: #eff3ff;
    border: 1px solid #adadad;
    position: relative;
        border-collapse: collapse;
        
}
tr.filter-predicate {
    position: relative;
}

.filter-predicate td {
	 border-bottom: 1px solid #adadad;
	 padding:5px;
	 vertical-align: text-top;
}

.filter-predicate td input {
	margin:0px;
	
}

.filter-predicate td:nth-child(1) {
	width:50px;overflow:hidden;
}

.filter-predicate td:nth-child(2) {
	max-width:100%;
}
.filter-predicate td:nth-child(3) {
		width:80px;
}
.filter-predicate td:nth-child(4) {
	max-width:100%;
}
.filter-predicate td:nth-child(5) {
	width:80px;
}

.filter-predicate.and td:nth-child(1):before {
    content: "AND";
    color: blue;
    font-weight: bold;
   text-align:center;
}


	.filter-operator option {
	    display: none;
	}
	.filter-operator option.default {
	    display: initial;
	}
				
	.filter-operator.idx option.eq {
    	display: initial;
	}
	.filter-operator.idx option.gt {
    	display: initial;
	}
	.filter-operator.idx option.lt {
    	display: initial;
	}

	.filter-operator.idx-ft option.ft {
    	display: initial;
	}
	.filter-operator.idx-ac option.ac {
    	display: initial;
	}
	
	.filter-statement.or {
    margin-top: 5px;
}
	
	.filter-statements.or:before {
	
	
	    content: "OR";
	    color: #ff000c;
	    font-weight: bold;
	    position: absolute;
	    top: 0px;
	    bottom: 0px;
	    line-height: 34px;
	}
	
	.filter-statement.or tr:nth-child(1) td:nth-child(1):before {
	 	content: "OR";
	    color: #ff000c;
	    font-weight: bold;
	     text-align:center;
}



.filter-value-wrapper {
    position: relative;
    border: 1px solid black;
    overflow: visible;
    display: grid;
    grid-template-columns: 30px 1fr;
}
.filter-value-wrapper input.filter-value,  .filter-value-wrapper select.filter-value{
    border: 0px;
    margin: 0px;
}

.drop-box {
	overflow: hidden;
}
.drop-box.open {
	overflow: visible;
}
.drop-box.open .drop-options {
	display: grid;
}
.drop-box .drop-value {
   
    width: 30px;
    text-align: center;
   
    height: calc(100% + 1px);
    display: flex;
    justify-content: center;
    align-items: center;
    background: #275a97;
    color: white;
    border-right: 1px solid black;
    cursor: pointer;
}
.drop-box .drop-options {
	position: absolute;
	left: -1px;
	top: calc(100%);
	background: white;
	border: 1px solid black;
	z-index: 1;
	border-left: 4px solid #275a97;
	width: auto;
	box-sizing: border-box;
	display: none;
	grid-template-columns: 1fr;
	gap: 1px;
	box-shadow: rgb(0 0 0 / 31%) 0px 4px 12px;
}
.drop-box .drop-options .drop-option {
	height: 100%;
	justify-content: flex-start;
	align-items: center;
	padding-left: 5px;
	padding-right: 15px;
	border-bottom: 1px solid;
	cursor: pointer;
	    display: flex;
}
.drop-box .drop-option:hover {
	background: #ededed;
}


.drop-box .drop-option .icon {
    background: #0b3d79;
    color: white;
    width: 18px;
    height: 20px;
    margin: 5px 0px;
    margin-right: 5px;
    text-align: center;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 0px 20px 20px 0px;
    line-height: 12px;
    font-weight: bold;
    padding: 2px 2px 2px 2px;
}

.drop-box .drop-options h1 {
font-size: 12px;
    padding: 5px;
    margin: 0px;
    border-bottom: 1px solid #0b3d79;
    color: #0b3d79;
}

.function-parameter-wrapper {
    background: #ffffff;
    border: 1px solid #2b2b2b;
    border-top: 0px;
    display: grid;
}


.function-parameter-wrapper .function-parameter{
	padding: 5px;
   border-bottom: 1px solid black;
}

.function-parameter-wrapper .function-parameter:last-child{
border-bottom: 0px;
}

.function-parameter label span {
    color: #0065dd;
    font-size: 0.9em;
    padding-left: 5px;
}

.tox.tox-tinymce {
    border-radius: 0px !important;
    border-color: #cccccc;
}
		
		
		
		
	

.sii-select {
    display: inline-block;
}



.sii-select.open .select-options-container {
   display: grid;
}
.sii-select .select-options-container {
    position: absolute;
    background: white;
    border: 1px solid black;
    z-index: 1;
    border-left: 4px solid #275a97;
    width: auto;
    box-sizing: border-box;
    display: none;
    grid-template-columns: 1fr;
    gap: 1px;
    box-shadow: rgb(0 0 0 / 31%) 0px 4px 12px;
    border-top: 0px;
}
.sii-select .select-option {
    height: 100%;
    justify-content: flex-start;
    align-items: center;
    padding-left: 5px;
    padding-right: 15px;
    border-bottom: 1px solid;
    cursor: pointer;
    display: flex;
    padding: 5px;
    padding-right: 15px;
}
.sii-select .select-option:hover {
    background: #ededed;
}


.sii-multi-select {

    border: 1px solid black;
}

 
 .sii-multi-select .option-wrapper {
    position: relative;
    display: grid;
    border: 0px solid black;
    grid-template-columns: 1fr max-content;

    overflow: hidden;
 }
 
   .sii-multi-select .option-wrapper select {
      border: 0px;
	  margin:0px;
	   border-bottom: 1px solid #1c1c1c;
  }
 
   .sii-multi-select .option-wrapper button {
    border: 0px;
    border-left: 1px solid #1c1c1c;
    background: #4239c0;
    color: white;
	pointer:cursor;
  }
 

  .sii-multi-select .selection-wrapper .selected-value {
  	position: relative;
	display: grid;	
	grid-template-columns: 1fr max-content;
	overflow: hidden;
	padding:5px;
	    align-items: center;
	     border-bottom: 1px solid #cfcfcf;
    background: #fafaff;
  }


  .sii-multi-select .selection-wrapper .selected-value:last-child {
    border-bottom: 0px;
  }
  
  .sii-multi-select button.remove {
    background: red;
    position: relative;
    color: white;
    border: 1px solid red;
    border-radius: 100%;
    overflow: hidden;
    width: 20px;
    height: 20px;
}

.sii-multi-select button.remove:before {
    content: "X";
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}